import request from '@/utils/request'

// 查询专利公开-概况统计列表
export function listRzgViewStatisticsInfo(query) {
  return request({
    url: '/reportpub/rzgViewStatisticsInfo/list',
    method: 'get',
    params: query
  })
}


// 获取查询年列表
export function getYearList() {
  return request({
    url: '/reportpub/rzgViewStatisticsInfo/getYearList',
    method: 'get'
  })
}

// 查询专利公开-概况统计详细
export function getRzgViewStatisticsInfo(id) {
  return request({
    url: '/reportpub/rzgViewStatisticsInfo/' + id,
    method: 'get'
  })
}

// 新增专利公开-概况统计
export function addRzgViewStatisticsInfo(data) {
  return request({
    url: '/reportpub/rzgViewStatisticsInfo',
    method: 'post',
    data: data
  })
}

// 修改专利公开-概况统计
export function updateRzgViewStatisticsInfo(data) {
  return request({
    url: '/reportpub/rzgViewStatisticsInfo',
    method: 'put',
    data: data
  })
}

// 删除专利公开-概况统计
export function delRzgViewStatisticsInfo(id) {
  return request({
    url: '/reportpub/rzgViewStatisticsInfo/' + id,
    method: 'delete'
  })
}
